# load required package (prefmod_0.8-25)
library(prefmod)

# read data
dat5<-read.table("teacher5.dat",h=T)

# names for objects
objnames<-c("ST","CM","AC","SU","VA")

# CC-outcome model without dependencies
cc<-pattPC.fit(dat5[complete.cases(dat5),],nitems=5,pr.it=TRUE,obj.names=objnames)

# CC-outcome model with dependencies
ccdep<-pattPC.fit(dat5[complete.cases(dat5),],nitems=5,ia=TRUE,pr.it=TRUE,obj.names=objnames)

# MCAR model 2 without dependencies
mcar2<-pattPC.fit(dat5,nitems=5,MIScommon=TRUE,pr.it=TRUE,obj.names=objnames)

# MCAR model 2 with dependencies
mcar2dep<-pattPC.fit(dat5,nitems=5,MIScommon=TRUE,ia=TRUE, pr.it=TRUE,obj.names=objnames)

# MCAR model 3 without dependencies
mcar3<-pattPC.fit(dat5,nitems=5,MISalpha=c(T,T,T,T,T),pr.it=TRUE,obj.names=objnames)

# MCAR model 3 with dependencies
mcar3dep<-pattPC.fit(dat5,nitems=5,MISalpha=c(T,T,T,T,T),ia=TRUE, pr.it=TRUE,obj.names=objnames)

# MNAR 3 without dependencies
mnar<-pattPC.fit(dat5,nitems=5,MISalpha=c(T,T,T,T,T),MISbeta=c(T,T,T,T,T),pr.it=TRUE,obj.names=objnames)

# MCAR model 3 with dependencies
mnardep<-pattPC.fit(dat5,nitems=5,MISalpha=c(T,T,T,T,T),MISbeta=c(T,T,T,T,T),ia=TRUE, pr.it=TRUE,obj.names=objnames)
